* {
    scrollbar-width: thin;
    scrollbar-color: rgb(108, 108, 128) transparent;
}
.divider-text { display: flex ; align-items: center; gap: 18px; }
.divider-text span { height: 1px; background-color: var(--gray-04); display: inline-block; width: 100%; }
.divider-text p { flex-shrink: 0; font-size: 12px; line-height: 19px; color: var(--gray-01); font-weight: 400; font-family: var(--manrope); letter-spacing: -0.24px; text-align: center; position: relative; }
.border-bottom-solid{border-bottom:1px solid var(--gray-04);}
.border-bottom-solid{border-bottom:1px solid var(--gray-04);}
.padding-20{padding:20px;}
.divider-solid{border-top:1px solid var(--gray-04);margin-bottom:24px;}

.dashboard-layout-main{width: 100vw; height: 100dvh; display: flex; position: relative; transition: 0.25s ease-in-out;}


/* ==================================== right side main div ==================================== */
.bg-border-common{padding:1px; background: linear-gradient(180deg, rgba(255, 255, 255, 0.12) 0%, rgba(255, 255, 255, 0.03) 100%); }
.bg-border-common .common-bg-inner{border-radius: inherit; background: radial-gradient(100% 100% at 50% 0%, #212023 0%, #1B1A1D 100%); }
.padding-16{padding: 16px;}
.border-radius-8{border-radius:8px;}

/* table bg and padding */
.table-bg-wrap{padding:13px;margin-top:15px; background: radial-gradient(100% 100% at 50% 0%, #212023 0%, #1B1A1D 100%);border:1px solid var(--gray-04);border-radius:8px;}

.layout-right-side{padding: 8px;padding-left: 0;}
.layout-right-side-inner{padding: 24px; height:100%;background-color:#101113;border-radius:16px;border:1px solid var(--gray-04);overflow-y: auto;}

/* ================== header================== */
.dashboard-main-top-header{padding: 8px 12px;background-color: var(--black-02);border:1px solid var(--gray-04);border-radius:8px;}
.right-header-buttons{display: flex ; align-items: center; gap: 8px;}

/* icon */
.search-form{position:relative;}
.search-form input[type="text"]{border-radius: 25px !important; padding: 7px 36px 7px 14px !important; width: 0 !important; opacity: 0; visibility: hidden; transition: 0.3s ease-in-out; max-width: 250px;position: absolute; right: 0;top: 50%; transform: translateY(-50%);}    
.show-searchbar input[type="text"]{opacity: 1; visibility: visible; transform-origin: right center;  width: 250px !important; }
.search-icon{position:absolute;top: 50%; transform: translateY(-50%); right: 2px;}
.icon-wrap{ width: 32px;height: 32px;display:flex;align-items:center;justify-content: center;flex-direction:column;background-color:var(--gray-04);border:1px solid #373A40;border-radius:50%;}
.icon-wrap img{width: 16px;height: 16px;}

/* =================== notification =================== */
#notification-modal.modal.fade .modal-dialog{transform: translate(100% , 0); margin: 0 0 0 auto;padding: 20px;min-width: 541px; }
#notification-modal.modal.show .modal-dialog { transform: none; }
.modal-content{background: radial-gradient(100% 100% at 50% 0%, #212023 0%, #1B1A1D 100%);border: 1px solid var(--gray-04);border-radius:8px;}
/* header */
.modal-header{padding: 10px 24px; border: none;flex-direction: column;gap:20px;}
.modal-header .modal-title-wrap{border: none;display:flex;color: var(--white);justify-content: space-between;width:100%;}
.notification-icon-button{display: flex; align-items: center; gap: 16px;}
.setting-icon{width: 18px;height: 18px;margin:0 !important;padding:0 !important;line-height: 0;}
.setting-icon img{width:100%;height:100%;}
.btn-close{background-image: url(../images/close-icon.svg);background-size: cover; opacity: 1; }

.modal-body .form-check{display: flex;align-items: center;gap: 8px;margin-bottom:10px;}

.modal-tab-button-wrap{display: flex;justify-content: space-between;width: 100%;}
/* tab */
.nav-link{padding: 10px 16px;color:var(--gray-02);font-size:14px;line-height:18px;font-family:var(--manrope);font-weight:500;letter-spacing:-0.28px;border-bottom:1px solid var(--gray-04);border-radius:0 !important;}
.nav-link:hover,.nav-link:focus{color:var(--purple) !important;}
.nav-pills .nav-link.active, .nav-pills .show>.nav-link{background-color:var(--f0);color:var(--purple);border-color:var(--purple);font-weight: 600;}

/* header body */
.modal-body{padding:0 !important;}
.notification-massage-inner{padding: 20px;border-bottom: 1px solid var(--gray-04);}
.notification-massage-inner:last-child{border-bottom:none;}
.notification-profile{width: 36px;height: 36px;border-radius:50%;object-fit:cover;object-position:center center;}
.notification-message{color:var(--white);}
.notification-message span{color:var(--gray-03);}
.notification-time {color:var(--gray-01);}

/* =================== form modal =================== */
/* header */
.dashboard-form-modal-wrap{padding: 24px;gap:24px;}
.dashboard-form-modal-wrap .modal-header{padding: 0;}

/* body */
/* .dashboard-form-modal-wrap .row{--bs-gutter-x:0px;} */
.dashboard-form-modal-wrap .row .input-wrap{margin-bottom:24px;}
.dashboard-form-modal-wrap .row .input-wrap textarea{height: 88px;}

/* modal footer*/
.modal-footer {border:none;padding: 0;}
.modal-footer > div,.modal-footer > button{flex: 1;margin: 0;}

/* delete modal =============== */
.alert-msg-modal .dashboard-form-modal-wrap { gap: 32px;}
.alert-msg-modal .dashboard-form-modal-inner{color:var(--white);text-align:center;}
.alert-msg-modal .modal-header .modal-title-wrap{justify-content: end;}
.alert-msg-modal .dashboard-form-modal-inner p{margin-top:20px;}
.alert-msg-modal img{width: 100px;height: 100px;margin-inline:auto;margin-bottom:20px;}


/* select 2 modal */
div:where(.swal2-container){z-index: 999999 !important;}
div:where(.swal2-container) div:where(.swal2-popup){background-color: #1B1A1D !important;border-radius:8px !important;border:1px solid #2C2C30 !important;}
div:where(.swal2-container) h2:where(.swal2-title),
div:where(.swal2-container) div:where(.swal2-html-container){color:var(--white)!important;font-family: var(--manrope);font-weight: 500 !important;}
div:where(.swal2-icon).swal2-warning { height: 60px !important; width: 60px !important;}
div:where(.swal2-icon) .swal2-icon-content { font-size: 43px !important;}
div:where(.swal2-icon).swal2-error [class^=swal2-x-mark-line] { top: 28px !important; width: 28px !important;}
div:where(.swal2-icon).swal2-error { width: 60px!important; height: 60px !important;}

/* ================================== table management ================================== */

/* ============= overview-card-container ============ */
.page-dec{margin-top:28px;}
.page-dec img{width: 24px;height: 24px;}
.page-dec p{color: #C1C2C5;}

.overview-card-container{margin-top:20px;}
.overview-card-inner,
.overview-card-inner .bg-border-common,
.overview-card-inner .common-bg-inner, 
.chart-main-wrap .bg-border-common,
.chart-main-wrap .common-bg-inner { height: 100%; }
.overview-card-inner .table-icon img{width: 28px;height: 28px;}
.overview-card-inner .heading-style-2{margin-top: 4px;}

/*============= table status and category wrapper ============ */
.table-status-wrapper{margin-top: 32px;}
/* select 2 dropdown ================== */
.left-side-status-div .bg-border-common{border-radius: 5px;overflow: hidden;background: linear-gradient(180deg, rgb(255 255 255 / 20%) 0%, rgba(255, 255, 255, 0.03) 100%);}
.left-side-status-div .bg-border-common img{width: 16px;height:16px;}
.left-side-status-div .bg-border-common a:has(img){width: 32px;height:32px;display:flex;flex-direction: column;justify-content:center;align-items:center;}
.left-side-status-div .common-bg-inner{background: linear-gradient(180deg, #2E2E30 0%, #242426 100%);}

.left-side-status-div .common-fill-gray{border-radius:8px !important}
.left-side-status-div .form-group input[type="text"]{max-width: 138px; border-radius: inherit !important; padding: 7px 7px 7px 36px !important;background: url(../images/calendar-icon.svg) no-repeat 9px center , 20px 20px ,#161618; color:var(--white); border:none !important; }
.left-side-status-div .form-group input[type="text"]::placeholder{color:var(--white); border:none !important;font-family: var(--plus-jakarta);}
.left-side-status-div .select2-container--default .select2-selection--single{background:transparent !important;border: none;min-height: 36px; height: 100%;}
.left-side-status-div .select2-container--default .select2-selection--single .select2-selection__rendered{min-width: 128px; font-size: 14px !important; line-height: 18px !important; font-weight: 600 !important; font-family: var(--plus-jakarta); padding: 7px 35px 7px 14px !important; border: none !important; background-color: var(--f0) !important; color: #FCFCFD !important; width: auto !important; box-shadow: 0px 2px 14px 0px #00000033; -moz-box-shadow: 0px 2px 14px 0px #00000033; -webkit-box-shadow: 0px 2px 14px 0px #00000033;}
.left-side-status-div .single-select-dropdown-main .select2-container--default .select2-selection--single .select2-selection__arrow b { display: none; }
.left-side-status-div .single-select-dropdown-main .select2-container--default .select2-selection--single .select2-selection__arrow { width: 16px; height: 18px; position: absolute; top: 50%; right: 0; transform: translate(-50%, -50%); -webkit-transform: translate(-50%, -50%); background: url(../images/white-dropdown-arrow.svg) no-repeat center center / cover; }

/* menu items */
.select2-dropdown{z-index: 1056; background-color: #28282B;  border-radius: 5px; border-color: var(--gray-04) !important;overflow: hidden;box-shadow: 0px 6px 12px 0px #00000078;-webkit-box-shadow: 0px 6px 12px 0px #00000078;-moz-box-shadow: 0px 6px 12px 0px #00000078;}
.select2-results__option{padding-inline: 14px;font-size: 14px; line-height: 22px; font-family: var(--plus-jakarta);font-weight:500;word-wrap: break-word;}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable { background-color: var(--gray-01); color: var(--white); }
.select2-container--default .select2-results__option--selected{ background-color: var(--purple); color: var(--white); }
.select2-container--default .select2-results__option--disabled, .select2-container--default .select2-selection--single .select2-selection__placeholder,
.select2-results__option--selectable{color:var(--white);}

/* ===================== Table ===================== */
.datatable-wrap{border: 1px solid var(--gray-04);border-radius:8px;min-width: 1111px; overflow-x: auto; }
.table-inner thead{background-color:#28282B;border-bottom: 1px solid var(--gray-04);}
.table-inner th{color:var(--gray-01);padding: 15px !important;font-weight: 400;}
tbody, td, tfoot, th, thead, tr{border: none;}
table th:first-child{width: 3%;}
table th:last-child{width: 4%;}
.table-inner td{color:var(--white);padding: 15px !important;font-weight: 600;letter-spacing:-0.28px;white-space:nowrap;}
.table-wrap{overflow-x: auto;}
table.dataTable th.dt-type-numeric, table.dataTable th.dt-type-date, table.dataTable td.dt-type-numeric, table.dataTable td.dt-type-date{text-align:center;}
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:after, table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:before, table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:after{display:none;}
div.dt-container .dt-length{line-height: 1;}

table.dataTable input.dt-select-checkbox { margin: 0 !important; width: 18px; height: 18px; border-color: var(--gray-02); border-radius: 4px; display: flex ; justify-content: center; align-items: center; overflow: hidden; }
table.dataTable > tbody > tr.selected input.dt-select-checkbox:checked { border: 1px solid var(--purple); background-color:var(--purple);}
table.dataTable input.dt-select-checkbox:checked:after{content: "" !important; margin-top: 0 !important; background: url(../images/checkbox-icon.svg) no-repeat center center / cover; width: 12px; height: 12px; }
table.dataTable tbody tr,table.dataTable thead th { border: none; box-shadow: none; }
table.table.dataTable > tbody > tr { background-color: transparent; }
table.dataTable > tbody > tr.selected > * { box-shadow: none !important; color: var(--white) !important; }
table.dataTable input.dt-select-checkbox:indeterminate:after{background-color: var(--purple);transform:translate(-50% , -50%);top: 50%; left: 50%;}

/* ================== search bar ================== */
.table-wrap .top {margin-bottom:16px;}
div.dt-container div.dt-search {display:flex;margin-bottom:0;}
div.dt-container div.dt-search label{display:none;}
div.dt-container div.dt-search input{min-width: 264px;width: auto !important; padding:12px 12px 10px 36px;font-size: 12px; line-height: 18px; font-weight: 400;letter-spacing: -0.28px; font-family: var(--manrope); border-color:var(--gray-04);border-radius: 8px;background:url(../images/search-icon.svg) no-repeat 9px center , 16px 16px ,#161618; color:var(--white);box-shadow: 0px 2px 14px 0px #00000033;--webkit-box-shadow: 0px 2px 14px 0px #00000033;--moz-box-shadow: 0px 2px 14px 0px #00000033;margin:0;}
div.dt-container div.dt-search input::placeholder{ font-size: 12px; line-height: 18px; font-weight: 400;letter-spacing: -0.28px; font-family: var(--manrope);color:var(--gray-01);}

/* ================== pagination ================== */
.table-wrap .bottom{margin-top: 16px;}
.table-wrap .bottom nav{display: flex;gap: 12px;align-items: center;}
div.dt-container .dt-paging .dt-paging-button,
div.dt-container .dt-paging .dt-paging-button.disabled,
div.dt-container .dt-paging .dt-paging-button.disabled:hover{padding: 4px;width: 30px; height: 30px; border-radius: 5px; border: 1px solid var(--gray-04) !important; background: linear-gradient(180deg, #2E2E30 0%, #242426 100%) !important; color: #BCBCC6 !important; font-size: 14px; line-height: 20px; font-weight: 500;letter-spacing: -0.28px; font-family: var(--manrope); display: flex ; justify-content: center; align-items: center;flex-shrink:0;box-shadow: 0px 2px 14px 0px #00000033;--webkit-box-shadow: 0px 2px 14px 0px #00000033;--moz-box-shadow: 0px 2px 14px 0px #00000033; }
div.dt-container .dt-paging .dt-paging-button.current, div.dt-container .dt-paging .dt-paging-button.current:hover{background: var(--purple) !important;border-color: #EAF0FD33 !important;color: var(--white) !important;}

/* ================== custom pagination ================== */
.custom-navigation{margin-top:12px;}
.pagination{gap:12px;}
.pagination .page-link,
.pagination .page-link:hover,
.pagination .page-link:focus{padding: 4px;width: 30px; height: 30px; border-radius: 5px; border: 1px solid var(--gray-04) !important; background: linear-gradient(180deg, #2E2E30 0%, #242426 100%) !important; color: #BCBCC6 !important; font-size: 14px; line-height: 20px; font-weight: 500;letter-spacing: -0.28px; font-family: var(--manrope); display: flex ; justify-content: center; align-items: center;flex-shrink:0;box-shadow: 0px 2px 14px 0px #00000033;--webkit-box-shadow: 0px 2px 14px 0px #00000033;--moz-box-shadow: 0px 2px 14px 0px #00000033;}
.pagination .page-item.active .page-link{background: var(--purple) !important;border-color: #EAF0FD33 !important;color: var(--white) !important;}


/* table btn gradient */
.table-gradient-btn{padding:4px 10px;border-radius:4px; background: url(../images/table-btn-bg-image.jpg) no-repeat center center / cover;border: 1px solid #32BA3233;margin: 0 !important;text-align:center;width:fit-content;}
/* status */
.status { font-size: 12px; line-height: 16px; font-weight: 400; letter-spacing:-0.12%; font-family:var(--geist); border-radius: 20px; padding: 5px 10px; text-align: center; display: inline-flex; align-items: center; gap: 4px; text-transform: capitalize; }
.status span{width:6px;height:6px;border-radius:50%;}
.status.active{background: #0E9F6E33;color:#0E9F6E;}
.status.active span{background: #0E9F6E;}
.status.reserved{background: #E0313133;color:#FA5252;}
.status.reserved span{background: #FA5252;}

.status.transaction-active{background: rgba(50, 186, 50, 0.1); color: #32BA32; border: 1px solid rgba(50, 186, 50, 0.2); border-radius: 4px;}
.status.transaction-in-progress{background: rgba(255, 153, 0, 0.1); color: #FF9900; border: 1px solid rgba(255, 153, 0, 0.2); border-radius: 4px;}
.status.transaction-failed{background: rgba(215, 90, 90, 0.1); color: #EB6262; border: 1px solid rgba(215, 90, 90, 0.2); border-radius: 4px;}


/* table action button */
.action-wrap{position:relative;line-height: 0;}
.action{padding:1px;border-radius:5px; width: 24px;height:24px; background: linear-gradient(180deg, rgba(255, 255, 255, 0.12) 0%, rgba(255, 255, 255, 0) 100%); }
.action:after{display: none;}
.action-inner{background: linear-gradient(180deg, #2E2E30 0%, #242426 100%); border-radius:5px;height: 100%; width: 100%;display:flex;justify-content:center;align-items:center;gap:2px; flex-direction:column;}
.action-inner div{border-radius:50%;height: 3px; width: 3px;background-color:#6E6E84;flex-shrink: 0;}
/* table dropdown-menu */
.table-dropdown-menu{ padding: 8px; min-width: 114px; font-size: 14px; line-height: 18px; border-radius: 8px; background-color: #28282B; border: 0; box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.2); -moz-box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.2); -webkit-box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.2); position: absolute !important; height: fit-content; transition: none !important;inset: auto !important; right: 100% !important;top: 50% !important; transform: translateY(-50%) !important;}
.table-dropdown-menu li{margin-bottom: 10px;}
.table-dropdown-menu li:last-child{margin-bottom: 0 !important;}
.table-dropdown-menu li a,.table-dropdown-menu li button{text-transform: capitalize;color: var(--white) !important;font-weight: 500;padding: 8px 12px; display: block; border-radius: 8px;transition:0.3s ease-in-out;display:flex;align-items:center;gap:6px;}
.table-dropdown-menu li a img,.table-dropdown-menu li button img{width:14px;height:15px;}
.table-dropdown-menu li a:hover,.table-dropdown-menu li button:hover{color: var(--white) !important;background-color:#323239;}

/* ================================== booking history analytics ================================== */
.recent-booking{margin-bottom: 15px;}
.recent-booking img{width: 24px;height: 24px;}

/* avatar */
.person-name-img{display:flex;align-items:center;gap:8px;}
.person-name-img img{width:32px;height:32px;border-radius:50%;object-fit:cover;}
.analytics-avatar-circle { width: 32px; height: 32px; border-radius: 50%; background: var(--purple); color: var(--white); display: flex; align-items: center; justify-content: center; font-size: 14px; }


/* ================================== venue management ================================== */
.venue-header{display:flex;align-items:center;justify-content:space-between;gap:24px;}
.venue-width-div-inner{gap: 50px;}
.left-venue-div{max-width: 260px;width:100%;}
/* .right-venue-div{max-width: 392px;width:100%;flex-shrink:0;} */
.right-venue-div-wrap{max-width: 392px;width:100%;flex-shrink:0;}
.profile-image-inner img{width: 80px;height: 80px;border-radius:50%;object-fit: cover;object-position: center center;}
.upload-profile{position:relative;cursor: pointer;}
.upload-profile-icon,
.upload-file-image-gallery{ position: absolute; right: 0%; bottom: 00%; z-index: 1; cursor: pointer; width: 100%; height: 100%; display: inline-block; }
.upload-profile input[type="file"],
.upload-file-image-gallery input[type="file"]{ z-index: 1; position: absolute; cursor: pointer; width: 100%; height: 100%; left: 0; top: 0; opacity: 0; }

/*  */
.form-width-wrap .input-wrap{display: flex;align-items:start;margin-bottom: 16px;}
.form-width-wrap .input-wrap:last-child{margin-bottom: 0px;}
.form-width-wrap label.form-label{font-size:14px;line-height:20px;letter-spacing:-0.28px;font-weight:600;color:var(--white);}

/* image gallery */
.upload-image-gallery{display: flex;align-items: center;flex-wrap: wrap;justify-content:start;gap:12px;height: 100%;}
.upload-image-gallery-inner{width: 161px; position: relative; width: calc(100% / 6 - 14px); aspect-ratio: 1 / 0.87;}
.upload-image-gallery-inner .bg-border-common .common-bg-inner{padding: 4px;}
.upload-image-gallery-inner div{width: 100%;height:100%;}
.upload-image-gallery-inner .upload-image-div{ background: #141414;border-radius:8px;overflow: hidden;display: flex ; flex-direction: column; justify-content: center; align-items: center;}
.upload-image-gallery-inner img{object-fit:cover;object-position:center center;width: 100%;height:100%;}
.upload-image-gallery-inner .media-preview-link{display:block;width: 100%;height:100%;}
.upload-image-gallery-inner .media-preview{width: 100%;height:100%;object-fit:cover;object-position:center center;}
.upload-image-gallery-inner .media-preview-video{width: 100%;height:100%;object-fit:cover;object-position:center center;}

/* common icon style */
.gallery-common-icon-wrap{position: absolute;z-index: 1; top: 12px; right: 12px;}
.common-icon-wrap{border-radius: 8px; width: fit-content !important;height: fit-content !important;    background: linear-gradient(180deg, rgb(255 255 255 / 20%) 0%, rgba(255, 255, 255, 0.03) 100%);}
.common-icon-inner{width: 26px;height:26px;display: flex ; flex-direction: column; justify-content: center; align-items: center;background-color: transparent;border: none;}
.common-icon-inner img{width: 18px;height:18px;flex-shrink:0;}
.upload-image-gallery-inner .upload-image-div .filled-dark-btn{width: fit-content !important;height: fit-content !important;}
.upload-image-gallery-inner .upload-image-div .filled-dark-btn a{position:relative;}
.search-filter-inner .common-icon-inner { width: 34px; height: 34px;}
.search-filter-inner .input-inner img{left: 11px;}

/*  */
/* .venue-width-div-wrap,.venue-form{pointer-events: none;} */
a.disabled{pointer-events: none;}
.venue-form .form-control::placeholder,
.venue-form .select2-container--default .select2-selection--single .select2-selection__rendered{color:var(--gray-02) !important;}

.venue-form .form-control:disabled::placeholder,
.venue-form .form-control:disabled,
.venue-form .select2-container--disabled.select2-container--default .select2-selection--single .select2-selection__rendered{color:var(--gray-02) !important;}


/* ================================== Events management ================================== */
.add-new-button-wrap,.profile-btn {width: fit-content; margin-top: 24px;}
.tab-search-filter-wrap{margin-top: 16px;}

.event-card-image{position: relative; padding-top: 50%;}
.event-card-image img{position: absolute; top: 0; left: 0; width: 100%; height: 100%; object-fit: cover; object-position: center center;}

.event-tab-content{margin-top:16px;}
.event-tab-content .row{row-gap: 12px; --bs-gutter-x: 12px;}
.event-tab-content p{font-family:var(--satoshi-med);}
.event-card-inner{border-radius: 12px;overflow: hidden; background: #1F1F1F; }
.event-card-inner .event-card-content{padding:12px;}
.event-card-details{margin-top:12px;}
.event-card-details img{width: 16px;height: 16px;}
.event-link{margin-top:12px;font-weight: 500; color: #47BC84;font-size:12px;line-height:12px;font-family:var(--satoshi-med);transition:0.3s ease-in-out;}
.event-link:hover{color:var(--purple);}

/* .upload-image-wrap{position: relative;} */
.upload-image-wrap .input-wrap:last-child{margin-bottom: 0 !important;}
.upload-image-wrap .input-inner img{position: unset;transform: none;height:42px;width:42px;margin-bottom:8px;}
.upload-image-wrap .input-inner p{color:var(--purple);text-decoration: underline;}
.upload-image-wrap .input-inner .instructions{color:#A3A7AC;margin-bottom:8px;text-decoration: none;}
.upload-image-wrap #file-input,
.upload-image-wrap #file-input-floorplan{display: none;}
.upload-image-wrap .upload-area-inner{position: absolute; left: 50%; top: 50%; width: 100%; transform: translate(-50%, -50%);height: 100%; display: flex ; flex-direction: column; justify-content: center; align-items: center;}
.upload-image-wrap .upload-area { background-color: #2C2C30 !important; border: 1px solid #44444A; box-shadow: 0px 2px 12px 0px #0000001F !important; -webkit-box-shadow: 0px 2px 12px 0px #0000001F !important; -moz-box-shadow: 0px 2px 12px 0px #0000001F !important; margin-bottom: 0; padding-top: 30.67%; height: 100%; width:100%; text-align: center; cursor: pointer; border-radius: 8px; }
.input-add-button{background-color: #2C2C30 !important; border: 1px solid #44444A !important; box-shadow: 0px 2px 12px 0px #0000001F !important; -webkit-box-shadow: 0px 2px 12px 0px #0000001F !important; -moz-box-shadow: 0px 2px 12px 0px #0000001F !important;padding: 13px !important; font-size: 14px !important; line-height: 20px !important; letter-spacing: -0.64px; border-radius: 8px !important; font-family: var(--manrope) !important; font-weight: 500 !important;color:var(--white) !important;}

input[type="time"]::-webkit-clear-button,
input[type="time"]::-webkit-inner-spin-button{ display: none; }

.empty-state-icon img{height: 80px;width: 80px;margin-inline:auto;filter:brightness(100);}

/* ================================== Events analytics ================================== */
.chart-main-wrap{margin-top:32px;}
.chart-title-wrap{margin-bottom:24px;}
/* .chart-container-wrap{width: 100%; position: relative; height: 200px;} */
.chart-card {color:#9E9EAD; font: 14px/1.4 "Manrope", sans-serif; }
.chart-container-wrap { position: relative;}
/* .chart-container-wrap canvas{width: 100%;} */
.revenue-chart-card .chart-container-wrap {max-width: 150px;margin-inline: auto;}
.chart-card .legend { display:flex; flex-wrap:wrap; gap:14px; margin-top:24px;justify-content: space-between;height: 56px; overflow-y: auto; }
.chart-card .legend-item { display:flex; align-items:center; gap:12px; cursor:pointer; user-select:none; }
.chart-card .legend-label {flex-shrink: 0;}
.chart-card .legend-dot { width:10px; height:10px; border-radius:50%; display:inline-block; }
.chart-card .legend-value {color:#fff; font-weight:600; }
.chart-card .legend-item.disabled { opacity:.4; }

.apexcharts-legend { display: flex !important; justify-content: space-between !important; flex-wrap: wrap !important; gap:14px !important; overflow-y: auto !important; }
.apexcharts-legend-series { flex: 1 !important; min-width: 45% !important; max-width: 50% !important; margin: 0 !important; }

/*  */
/* .analytics-chart { height: 210px; }
.apexcharts-canvas{height: 100% !important;}
svg.apexcharts-svg { height: 100% !important;}
foreignObject,.apexcharts-inner{height:100% !important;} */
.apexcharts-legend-marker{stroke: none;}

/* ================================== ticket management ================================== */
.progress-wrap{ display:inline-flex; align-items:center; gap:8px; }
.progress{ width: 117px; height: 6px; background: #28282B; }  
.progress-bar{height:100%;background-color:#39FF14;border-radius:30px;}


/* ================================== data table loader ================================== */
div.dt-processing.card{background: var(--black-01) !important;}
div.dt-processing span{color:var(--white) !important;}
div.dt-processing>div:last-child>div{background-color: var(--purple);}

/* ================================== wallet & billing ================================== */
.wallet-billing-wrap-main{padding: 32px;border-radius: 16px;background-color:#161618;border: 1px solid #2C2C30;margin-top:24px;}
.wallet-billing-inner{padding:16px;border-radius: 8px;background: radial-gradient(100% 100% at 50% 0%, #212023 0%, #1B1A1D 100%); border: 1px solid #373639;height:100%;box-shadow: 0px 2px 14px 0px #00000014;}
.wallet-billing-inner .common-fill-gray{color:#6E6E84 !important;background-color:var(--f0) !important;}
.wallet-billing-inner .common-fill-gray img{opacity: 0.6;}
.wallet-billing-inner .input-inner{padding:11px;color:#6E6E84 !important;background-color: #2C2C30 !important; border: 1px solid #44444A !important; box-shadow: 0px 2px 12px 0px #0000001F !important; -webkit-box-shadow: 0px 2px 12px 0px #0000001F !important; -moz-box-shadow: 0px 2px 12px 0px #0000001F !important;border-radius: 8px !important;}
.wallet-billing-inner .input-inner p{color:#6E6E84 !important;}
.wallet-billing-inner .input-inner img{position: relative;width:48px;height:auto;transform:none;}

/* Table */
.invoice-info .p-small{color:#BCBCC6;}
td img{width:48px;height:auto;}
.wallet-billing-wrap-main th:nth-child(2){width: 37%;}
.wallet-billing-wrap-main th:nth-child(3){width: 17%;}
.wallet-billing-wrap-main th:nth-child(4){width: 20%;}
.wallet-billing-wrap-main th:nth-child(5){width: 19%;}
.wallet-billing-wrap-main th:last-child{width: 4%;}

.payment-method-info-inner{padding:15px;border:1px solid var(--gray-04);border-radius: 10px;margin-bottom:20px;}
.payment-method-info-inner:last-child{margin-bottom:0px;}
.payment-method-info-inner .common-fill-gray{color: var(--white) !important;background-color: #2C2C30 !important;}

/* ================================== Dashboard ================================== */
.card-note-wrapper{margin-top: 24px;}
/* upcoming events */
.upcoming-card-wrap{display:flex; background-color: #1F1F1F;border-radius:8px;overflow:hidden;}
.upcoming-card-wrap .event-card-img{flex-shrink: 0;max-width: 240px;width: 40%;}
.upcoming-card-wrap img{height: 100%;object-fit: cover;object-position: center center;}
.upcoming-card-wrap .event-card-content{padding: 24px; width: 100%; border: 1px solid var(--gray-04); border-left: 0; border-radius: 0 8px 8px 0;}
.upcoming-card-wrap .event-card-content > p{color:#FCFCFD; font-family: var(--satoshi-med);margin-bottom:12px;font-weight: 500;}
.upcoming-card-wrap .event-card-content > p:last-of-type{font-family: var(--satoshi-reg);font-weight: 400;}

/* Note */
.note-wrap{padding: 24px;height: 100%; border:1px solid var(--gray-04);border-radius:8px;background: radial-gradient(100% 100% at 50% 0%, #212023 0%, #1B1A1D 100%); box-shadow: 0px 2px 14px 0px #00000014;-webkit-box-shadow: 0px 2px 14px 0px #00000014;-moz-box-shadow: 0px 2px 14px 0px #00000014;}
.note-wrap .note-title{margin-bottom:12px;}
.note-wrap .note-title p{text-transform: capitalize;font-family:var(--satoshi-med);color: #FCFCFD;letter-spacing:0;font-weight:500;}
.note-wrap .note-title a{font-family:var(--satoshi-med);color: var(--purple);letter-spacing:0;}
.note-wrap .note-edit{height:80%;}
.note-wrap textarea{height:100%;background: transparent !important; border: none !important; padding: 0 !important;color: #BABCC0 !important;font-family:var(--satoshi-med) !important;letter-spacing: 0 !important;}

/* table and ticket */
.table-title-wrap{display:flex;margin-bottom:16px; align-items:center;gap:10px;justify-content: space-between;}
.table-title-wrap .text-link{color:var(--purple);transition:0.3s ease-in-out;}
.table-ticket-wrapper{margin-top: 24px;}
.table-ticket-wrapper .table-bg-wrap{padding:18px;margin-top: 0 !important;}
.table-ticket-wrapper .datatable-wrap{min-width: 520px !important;}

/* coming-events-card-title */
.coming-events-card-title{margin:24px 0 16px;}
.coming-events-card-title .common-theme-btn{width: fit-content;}
.coming-events-card-title .page-dec{margin-top:0;}
.upcoming-event-card-slider-wrap .swiper-pagination{text-align: start;}
.upcoming-event-card-slider-wrap .swiper-pagination-bullet{background-color: #5C5F66;}
.upcoming-event-card-slider-wrap .swiper-pagination-bullet-active{background-color: var(--purple);}

/* ================================== staff management ================================== */
/* view staff detail */
.staff-detail-img img{width: 36px;height: 36px;border-radius:8px;object-fit: cover;object-position: center center;}
.check-in-history .nav-tabs,.check-in-history .nav-tabs .nav-item{overflow: hidden;}
.check-in-history .nav-tabs,.check-in-history .nav-tabs .nav-link{border: none;overflow: hidden;color:var(--white) !important;}
.check-in-history .nav-tabs .nav-item .nav-link:hover{color:var(--white) !important;} 
.check-in-history .nav-tabs .nav-item.show .nav-link,
.check-in-history .nav-tabs .nav-link.active{background-color:var(--purple);color:var(--white);}
.staff-detail-name {align-items: start !important;}

/* ================================================== media query start ================================================ */
@media screen and (max-width:1340px){
    .upload-image-gallery-inner{width: calc(100% / 5 - 10px);}
}
@media screen and (max-width:1199px){
    .upload-image-gallery-inner{width: calc(100% / 4 - 12px);}
    .upload-image-gallery-inner .common-icon-inner { width: 20px; height: 20px;}

    .table-status-wrapper { margin-top: 24px; }
    /* ================================== Dashboard ================================== */
    .card-note-wrapper{margin-top: 22px;}
    .upcoming-card-wrap .event-card-img{width: 47%;}
    .upcoming-card-wrap .event-card-content{padding: 18px;}

    /* ================================== wallet & billing ================================== */
    .wallet-billing-wrap-main{padding: 18px;margin-top:22px;}
    .wallet-billing-inner{padding:12px;}
}
@media screen and (max-width:991px){
    .overview-card-container .row{--bs-gutter-x: 10px;row-gap:10px;}
    .padding-16{padding:13px;}
    .upload-image-gallery-inner{width: calc(100% / 2 - 11px);}
    .form-width-wrap .input-wrap{flex-direction: column; gap: 2px;}
    
    /* ================================== Dashboard ================================== */
    .card-note-wrapper{margin-top: 20px;}
    .upcoming-card-wrap .event-card-img{width: 40%;max-width: 100%;}
}
@media screen and (max-width:767px){
    .layout-right-side-inner { padding: 15px;}
    div.dt-container div.dt-search input { min-width: 234px;}
    .show-searchbar input[type="text"]{width: 160px !important;}
    .layout-right-side{width: calc(100% - 60px); margin-left: auto; flex-shrink: 0;flex-grow: 0 !important;}
    .menu-active{position:relative;}
    .menu-active:after{position:absolute;content:"";background-color:rgb(0 0 0 / 80%);height:100%;width:100%;top:0;left:0;z-index:1055;pointer-events:none;}
    .modal-dialog{max-width: 400px; margin-inline: auto;}
    .dashboard-form-modal-wrap { padding: 15px; gap: 20px; }
    .venue-header{flex-direction: column;align-items: flex-start !important;gap:10px;}
}
@media screen and (max-width:575px){
    .padding-20{padding: 15px;}
    .search-form input[type="text"]{transform: translateY(50%); top: 100%;}
    .modal{z-index: 999999;}
    /* .right-venue-div{flex-wrap: wrap;} */
    .right-venue-div-wrap{flex-wrap: wrap;}
    .upload-image-gallery-inner{width: calc(100% / 1 - 10px);}
    #notification-modal.modal.fade .modal-dialog{min-width: 100%;}
    .dashboard-form-modal-wrap { margin-inline: 12px; }
    .alert-msg-modal img { width: 70px; height: 70px;}
    .upload-image-wrap .upload-area{padding-top: 50.67%;}
    
    /* ================================== Dashboard ================================== */
    .upcoming-card-wrap{flex-direction:column;}
    .upcoming-card-wrap .event-card-img { width: 100%; max-width: 100%; height: 160px; }
    .upcoming-card-wrap .event-card-content { width: 100%;border-left-width: 1px; border-top: 0; border-radius: 0 0 8px 8px; }

    /* ================================== wallet & billing ================================== */
    .wallet-billing-wrap-main{padding: 14px;margin-top:18px;}
    .wallet-billing-inner{padding:10px;}
    .wallet-billing-inner .input-inner img { width: 35px;}
    /* ================================== event analytics ================================== */
    .apexcharts-legend-series { flex: 1 !important; min-width: 100% !important; max-width: 100% !important; margin: 0 !important; }
}
